org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.EventsAttrs

- All Known Subinterfaces:
    HamletSpec._Cell, HamletSpec.A, HamletSpec.ABBR, HamletSpec.ACRONYM, HamletSpec.ADDRESS, HamletSpec.AREA, HamletSpec.Attrs, HamletSpec.B, HamletSpec.BLOCKQUOTE, HamletSpec.BODY, HamletSpec.BUTTON, HamletSpec.CAPTION, HamletSpec.CITE, HamletSpec.CODE, HamletSpec.COL, HamletSpec.COLGROUP, HamletSpec.DD, HamletSpec.DEL, HamletSpec.DFN, HamletSpec.DIV, HamletSpec.DL, HamletSpec.DT, HamletSpec.EM, HamletSpec.FIELDSET, HamletSpec.FORM, HamletSpec.H1, HamletSpec.H2, HamletSpec.H3, HamletSpec.H4, HamletSpec.H5, HamletSpec.H6, HamletSpec.HR, HamletSpec.I, HamletSpec.IMG, HamletSpec.INPUT, HamletSpec.INS, HamletSpec.KBD, HamletSpec.LABEL, HamletSpec.LEGEND, HamletSpec.LI, HamletSpec.LINK, HamletSpec.MAP, HamletSpec.OBJECT, HamletSpec.OL, HamletSpec.OPTGROUP, HamletSpec.OPTION, HamletSpec.P, HamletSpec.PRE, HamletSpec.Q, HamletSpec.SAMP, HamletSpec.SELECT, HamletSpec.SMALL, HamletSpec.SPAN, HamletSpec.STRONG, HamletSpec.SUB, HamletSpec.SUP, HamletSpec.TABLE, HamletSpec.TBODY, HamletSpec.TD, HamletSpec.TEXTAREA, HamletSpec.TFOOT, HamletSpec.TH, HamletSpec.THEAD, HamletSpec.TR, HamletSpec.UL, HamletSpec.VAR
  All Known Implementing Classes:
    Hamlet.A, Hamlet.ABBR, Hamlet.ACRONYM, Hamlet.ADDRESS, Hamlet.AREA, Hamlet.B, Hamlet.BLOCKQUOTE, Hamlet.BODY, Hamlet.BUTTON, Hamlet.CAPTION, Hamlet.CITE, Hamlet.CODE, Hamlet.COL, Hamlet.COLGROUP, Hamlet.DD, Hamlet.DEL, Hamlet.DFN, Hamlet.DIV, Hamlet.DL, Hamlet.DT, Hamlet.EM, Hamlet.FIELDSET, Hamlet.FORM, Hamlet.H1, Hamlet.H2, Hamlet.H3, Hamlet.H4, Hamlet.H5, Hamlet.H6, Hamlet.HR, Hamlet.I, Hamlet.IMG, Hamlet.INPUT, Hamlet.INS, Hamlet.KBD, Hamlet.LABEL, Hamlet.LEGEND, Hamlet.LI, Hamlet.LINK, Hamlet.MAP, Hamlet.OBJECT, Hamlet.OL, Hamlet.OPTGROUP, Hamlet.OPTION, Hamlet.P, Hamlet.PRE, Hamlet.Q, Hamlet.SAMP, Hamlet.SELECT, Hamlet.SMALL, Hamlet.SPAN, Hamlet.STRONG, Hamlet.SUB, Hamlet.SUP, Hamlet.TABLE, Hamlet.TBODY, Hamlet.TD, Hamlet.TEXTAREA, Hamlet.TFOOT, Hamlet.TH, Hamlet.THEAD, Hamlet.TR, Hamlet.UL, Hamlet.VAR
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.EventsAttrs

  %events

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.EventsAttrs` | `$onclick(String onclick)` a pointer button was clicked
    `HamletSpec.EventsAttrs` | `$ondblclick(String ondblclick)` a pointer button was double clicked
    `HamletSpec.EventsAttrs` | `$onkeydown(String onkeydown)` a key was pressed down
    `HamletSpec.EventsAttrs` | `$onkeypress(String onkeypress)` a key was pressed and released
    `HamletSpec.EventsAttrs` | `$onkeyup(String onkeyup)` a key was released
    `HamletSpec.EventsAttrs` | `$onmousedown(String onmousedown)` a pointer button was pressed down
    `HamletSpec.EventsAttrs` | `$onmousemove(String onmousemove)` a pointer was moved within
    `HamletSpec.EventsAttrs` | `$onmouseout(String onmouseout)` a pointer was moved away
    `HamletSpec.EventsAttrs` | `$onmouseover(String onmouseover)` a pointer was moved onto
    `HamletSpec.EventsAttrs` | `$onmouseup(String onmouseup)` a pointer button was released

- - ### Method Detail

    - #### $onclick

          HamletSpec.EventsAttrs $onclick(String onclick)

      a pointer button was clicked
      Parameters:
        `onclick` - the script
      Returns:
        the current element builder

    - #### $ondblclick

          HamletSpec.EventsAttrs $ondblclick(String ondblclick)

      a pointer button was double clicked
      Parameters:
        `ondblclick` - the script
      Returns:
        the current element builder

    - #### $onmousedown

          HamletSpec.EventsAttrs $onmousedown(String onmousedown)

      a pointer button was pressed down
      Parameters:
        `onmousedown` - the script
      Returns:
        the current element builder

    - #### $onmouseup

          HamletSpec.EventsAttrs $onmouseup(String onmouseup)

      a pointer button was released
      Parameters:
        `onmouseup` - the script
      Returns:
        the current element builder

    - #### $onmouseover

          HamletSpec.EventsAttrs $onmouseover(String onmouseover)

      a pointer was moved onto
      Parameters:
        `onmouseover` - the script
      Returns:
        the current element builder

    - #### $onmousemove

          HamletSpec.EventsAttrs $onmousemove(String onmousemove)

      a pointer was moved within
      Parameters:
        `onmousemove` - the script
      Returns:
        the current element builder

    - #### $onmouseout

          HamletSpec.EventsAttrs $onmouseout(String onmouseout)

      a pointer was moved away
      Parameters:
        `onmouseout` - the script
      Returns:
        the current element builder

    - #### $onkeypress

          HamletSpec.EventsAttrs $onkeypress(String onkeypress)

      a key was pressed and released
      Parameters:
        `onkeypress` - the script
      Returns:
        the current element builder

    - #### $onkeydown

          HamletSpec.EventsAttrs $onkeydown(String onkeydown)

      a key was pressed down
      Parameters:
        `onkeydown` - the script
      Returns:
        the current element builder

    - #### $onkeyup

          HamletSpec.EventsAttrs $onkeyup(String onkeyup)

      a key was released
      Parameters:
        `onkeyup` - the script
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.